Package org.eclipse.ui.keys

# Class CharacterKey

java.lang.Object
org.eclipse.ui.keys.Key
org.eclipse.ui.keys.NaturalKey
org.eclipse.ui.keys.CharacterKey

All Implemented Interfaces:
  `Comparable`

@Deprecated(forRemoval=true, since="2024-03") public final class CharacterKey extends NaturalKey
Deprecated, for removal: This API element is subject to removal in a future version.
Please use org.eclipse.jface.bindings.keys.KeyStroke and org.eclipse.jface.bindings.keys.KeyLookupFactory

Instances of `CharacterKey` represent keys on the keyboard which represent unicode characters.

`CharacterKey` objects are immutable. Clients are not permitted to extend this class.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CharacterKey`
`BS`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the backspace key (U+0008).
`static final CharacterKey`
`CR`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the carriage return (U+000D) key
`static final CharacterKey`
`DEL`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the delete (U+007F) key.
`static final CharacterKey`
`ESC`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the escape (U+001B) key.
`static final CharacterKey`
`FF`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the form feed (U+000C) key.
`static final CharacterKey`
`LF`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the line feed (U+000A) key.
`static final CharacterKey`
`NUL`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the null (U+0000) key.
`static final CharacterKey`
`SPACE`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the space (U+0020) key.
`static final CharacterKey`
`TAB`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the tab (U+0009) key.
`static final CharacterKey`
`VT`
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the vertical tab (U+000B) key.

### Fields inherited from class org.eclipse.ui.keys.Key

`key`

## Method Summary

Modifier and Type
Method
Description
`char`
`getCharacter()`
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the character that this object represents.
`static CharacterKey`
`getInstance(char character)`
Deprecated, for removal: This API element is subject to removal in a future version.
Creates an instance of `CharacterKey` given a unicode character.

### Methods inherited from class org.eclipse.ui.keys.Key

`compareTo, equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### BS

public static final CharacterKey BS
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the backspace key (U+0008).

### CR

public static final CharacterKey CR
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the carriage return (U+000D) key

### DEL

public static final CharacterKey DEL
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the delete (U+007F) key.

### ESC

public static final CharacterKey ESC
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the escape (U+001B) key.

### FF

public static final CharacterKey FF
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the form feed (U+000C) key.

### LF

public static final CharacterKey LF
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the line feed (U+000A) key.

### NUL

public static final CharacterKey NUL
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the null (U+0000) key.

### SPACE

public static final CharacterKey SPACE
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the space (U+0020) key.

### TAB

public static final CharacterKey TAB
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the tab (U+0009) key.

### VT

public static final CharacterKey VT
Deprecated, for removal: This API element is subject to removal in a future version.
The single static instance of `CharacterKey` which represents the vertical tab (U+000B) key.

## Method Details

### getInstance

public static CharacterKey getInstance(char character)
Deprecated, for removal: This API element is subject to removal in a future version.
Creates an instance of `CharacterKey` given a unicode character. This method determines the correct name for the key based on character. Typically, this name is a string of one-character in length equal to the character that this instance represents.

Parameters:
  `character` - the character that the resultant `CharacterKey` instance is to represent.
Returns:
  an instance of `CharacterKey` representing the character.

### getCharacter

public char getCharacter()
Deprecated, for removal: This API element is subject to removal in a future version.
Gets the character that this object represents.

Returns:
  the character that this object represents.